For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_getfilterlogs - Worldchain

Example code for the eth_getFilterLogs JSON-RPC method. Complete guide on how to use eth_getFilterLogs JSON-RPC in GetBlock Web3 documentation.

Returns an array of all logs matching filter with given id on the World Chain network.

Parameters

Parameter
Type
Description

filterId

string

Filter ID returned by eth_newFilter

Request

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getFilterLogs",
    "params": ["0x1"],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_getFilterLogs",
    "params": ["0x1"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": []
}

Response Parameters

Field
Type
Description

result

array

Array of log objects matching the filter

Use Case

The eth_getFilterLogs method on World Chain is typically used for:

  • Filter log retrieval

  • Historical log access

  • Event analysis

  • Contract monitoring

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?